# Uses of Class
net.shibboleth.idp.authn.context.CertificateContext

Packages that use CertificateContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of CertificateContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return CertificateContext
Modifier and Type
Method
Description
`CertificateContext`
CertificateContext.`setCertificate(Certificate cert)`
Set the certificate to be validated.
`CertificateContext`
CertificateContext.`setIntermediates(Collection<Certificate> certs)`
Set the additional certificates accompanying the end-entity certificate.

## Uses of CertificateContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl with type parameters of type CertificateContext
Modifier and Type
Field
Description
`private Function<AuthenticationContext,CertificateContext>`
X509CertificateCredentialValidator.`certContextLookupStrategy`
Lookup strategy for cert context.
Method parameters in net.shibboleth.idp.authn.impl with type arguments of type CertificateContext
Modifier and Type
Method
Description
`void`
X509CertificateCredentialValidator.`setCertificateContextLookupStrategy(Function<AuthenticationContext,CertificateContext> strategy)`
Set the lookup strategy to locate the `UsernamePasswordContext`.